JSON-RPCMethods

eth_chainId: parameters, returns and CU

Return the EIP-155 chain ID of the current network.

Summary

Return the EIP-155 chain ID of the current network.

Compute units (CU) and pricing

CU per call

1 CU

Price per 1M calls (USD)

$0.10

Parameters

This method takes no parameters.

Returns

  • Type: QUANTITY
  • Description: Chain ID as a 0x-prefixed hexadecimal quantity (for example 0x1 on mainnet).

Notes

The chain ID is part of EIP-155 transaction signing and stays constant for a network.

Request example

export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_chainId",
    "params": [],
    "id": 1
  }'

Supported chains

Available on all 29 supported chains.

Last updated: